%define decortype1fonts %_datadir/fonts/default/Type1-Decor

Name: vedi-Type1-fonts
Version: 1.0
Release: alt1
Serial: 1
Summary: Cyrillic decorative PostScript fonts collection from Vedi project
Group: System/Fonts/Type1
License: free to used, but restricted
Url: http://www.d-s.ru

Source: ftp://ftp.logic.ru/pub/logic/linux/fonts/%name-%version.tar.bz2
Source1: vedi-mk_fonts_ad.sh

BuildArchitectures: noarch
PreReq: chkfontpath fontconfig

%description
Cyrillic decorative PostScript fonts collection from Vedi project.
%prep
%setup -q
pushd %_builddir/%name-%version
    %SOURCE1
popd

%install
mkdir -p $RPM_BUILD_ROOT%decortype1fonts
mkdir -p $RPM_BUILD_ROOT%_datadir/fonts/vedi/Type1
cp -f *.afm *.pfm *.pfb *.inf   $RPM_BUILD_ROOT%decortype1fonts
for i in `ls *.afm *.pfb`
do
ln -s ../../default/Type1-Decor/$i $RPM_BUILD_ROOT%_datadir/fonts/vedi/Type1
done

install -m 644 fonts.scale \
	$RPM_BUILD_ROOT%_datadir/fonts/vedi/Type1/fonts.scale
{
    pushd $RPM_BUILD_ROOT%_datadir/fonts/vedi/Type1
    mkfontdir .
    popd
}
ln -s %_sysconfdir/X11/encodings.dir $RPM_BUILD_ROOT%_datadir/fonts/vedi/Type1/encodings.dir

%post
%_bindir/fc-cache
/usr/sbin/chkfontpath -q -a %_datadir/fonts/vedi/Type1 ||:
if [ -x /usr/bin/gnome-font-install ]; then
  perl %{_datadir}/fonts/run-gnome-font-install \
	%{_bindir}/gnome-font-install %{_datadir} %{_datadir} > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi  

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %_datadir/fonts/vedi/Type1 ||:
fi

%files
%doc README LICENSE LICENSE_RU AUTHORS Fontmap.ad
%dir %_datadir/fonts/default/Type1-Decor
%_datadir/fonts/default/Type1-Decor/*.afm
%_datadir/fonts/default/Type1-Decor/*.pfb
%_datadir/fonts/default/Type1-Decor/*.pfm
%_datadir/fonts/default/Type1-Decor/*.inf
%dir %_datadir/fonts/vedi/Type1
%config(noreplace) %_datadir/fonts/vedi/Type1/fonts.dir
%config(noreplace) %_datadir/fonts/vedi/Type1/fonts.scale
%config(noreplace) %_datadir/fonts/vedi/Type1/encodings.dir
%_datadir/fonts/vedi/Type1/*.afm
%_datadir/fonts/vedi/Type1/*.pfb

%changelog
* Fri Oct 11 2002 AEN <aen@altlinux.ru> 1:1.0-alt1
- fontconfig support added
- Serial: 1

* Wed Mar 13 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-ipl3
- update && rebuild

* Sat Mar 17 2001 AEN <aen@logic.ru> 1.0-ipl2
- LICENSE fixed, LICENSE_RU added

* Fri Dec 1 2000 AEN <aen@logic.ru>
- initial spec
